Bug 479123 - spacewalk-to-satellite.patch mistakenly applied to spacewalk-schema-upgrade script
spacewalk-to-satellite.patch mistakenly applied to spacewalk-schema-upgrade s...
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Michael Mráka
Milan Zázrivec
Depends On:
Blocks: 463876
  Show dependency treegraph
Reported: 2009-01-07 07:30 EST by Milan Zázrivec
Modified: 2009-09-10 14:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-10 14:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Milan Zázrivec 2009-01-07 07:30:56 EST
Description of problem:
Turning spacewalk-schema into a satellite-schema involves (among others)
application of spacewalk-to-satellite.patch, which is generated automatically
with a shell script.

spacewalk-to-satellite.patch mistakenly changes "Spacewalk" strings
in spacewalk-schema-upgrade into "RHN Satellite" changing following lines:

-use Spacewalk::Setup ();
+use RHN Satellite::Setup ();
-Spacewalk::Setup::read_config($config_file, \%options);
+RHN Satellite::Setup::read_config($config_file, \%options);

This effectively renders spacewalk-schema-upgrade script unusable --
its execution finishes with a compilation error, since there's no
such module as RHN Satellite. It should really stay untouched.
Comment 1 Michael Mráka 2009-01-07 07:51:42 EST
Fixed convert-to-satellite.sh in svn/branches/eng/RELEASE-5.3 (r180194).
Comment 2 Milan Zázrivec 2009-01-25 17:35:08 EST
Verified with satellite-schema- &
Comment 3 Preethi Thomas 2009-08-07 07:37:30 EDT
Release Pending

<Preethi> mzazrivec, trying to verify https://bugzilla.redhat.com/show_bug.cgi?id=479123 could you tell me how to
* mzazrivec looking
<mzazrivec> Preethi: there's in fact no need to do anything about that bug... :-)
<mzazrivec> that bug was filed back when we used to patch spacewalk-schema package to work in satellite
Comment 4 Brandon Perkins 2009-09-10 14:53:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.